import 'package:equatable/equatable.dart';
import 'package:zhiying_base_widget/widgets/goods_details/coupon/model/counpon_model.dart';

abstract class CounponState extends Equatable {
  const CounponState();
}

class CounponInitial extends CounponState {
  @override
  List<Object> get props => [];
}

class CounponLoadedState extends CounponState {
  CounponModel model;

  CounponLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

class CounponErrorState extends CounponState {
  @override
  List<Object> get props => [];
}
