import 'package:json_annotation/json_annotation.dart';

part 'home_goods_style_model.g.dart';

@JsonSerializable()
class HomeGoodsStyleModel extends Object {
  @JsonKey(name: 'provider_name_color')
  String providerNameColor;

  @JsonKey(name: 'provider_name_background_color')
  String providerNameBackgroundColor;

  @JsonKey(name: 'shop_name_color')
  String shopNameColor;

  @JsonKey(name: 'shop_icon')
  String shopIcon;

  @JsonKey(name: 'coupon_background_color')
  String couponBackgroundColor;

  @JsonKey(name: 'coupon_font_color')
  String couponFontColor;

  @JsonKey(name: 'commission_background_color')
  String commissionBackgroundColor;

  @JsonKey(name: 'commission_font_color')
  String commissionFontColor;

  @JsonKey(name: 'market_price_color')
  String marketPriceColor;

  @JsonKey(name: 'current_price_color')
  String currentPriceColor;

  HomeGoodsStyleModel(
    this.providerNameColor,
    this.providerNameBackgroundColor,
    this.shopNameColor,
    this.shopIcon,
    this.couponBackgroundColor,
    this.couponFontColor,
    this.commissionBackgroundColor,
    this.commissionFontColor,
    this.marketPriceColor,
    this.currentPriceColor,
  );

  factory HomeGoodsStyleModel.fromJson(Map<String, dynamic> srcJson) =>
      _$HomeGoodsStyleModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$HomeGoodsStyleModelToJson(this);
}
