import 'package:json_annotation/json_annotation.dart';

part 'mine_header_model.g.dart';

@JsonSerializable()
class MineHeaderModel extends Object {
  @JsonKey(name: 'lv_bg_color')
  String lvBgColor;

  @JsonKey(name: 'lv_name_color')
  String lvNameColor;

  @JsonKey(name: 'non_login_avatar')
  String defaultAvatar;

  @JsonKey(name: 'user_name_color')
  String userNameColor;

  @JsonKey(name: 'invited_code_text')
  String invitedCodeText;

  @JsonKey(name: 'invited_code_color')
  String invitedCodeColor;

  @JsonKey(name: 'login_color')
  String loginColor;

  @JsonKey(name: 'login_name')
  String loginName;

  @JsonKey(name: 'login_name_help_text')
  String loginNameHelpText;

  @JsonKey(name: 'coype_icon')
  String coypeIcon;

  @JsonKey(name: 'required_login')
  String requiredLogin;

  @JsonKey(name: 'required_taobao_auth')
  String requiredTaobaoAuth;

  @JsonKey(name: 'skip_identifier')
  String skipIdentifier;

  MineHeaderModel(
    this.defaultAvatar,
    this.userNameColor,
    this.invitedCodeText,
    this.invitedCodeColor,
    this.loginColor,
    this.loginName,
    this.loginNameHelpText,
    this.coypeIcon,
    this.requiredLogin,
    this.requiredTaobaoAuth,
    this.skipIdentifier,
  );

  factory MineHeaderModel.fromJson(Map<String, dynamic> srcJson) =>
      _$MineHeaderModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$MineHeaderModelToJson(this);
}
