import 'package:json_annotation/json_annotation.dart';

part 'mine_detail_model.g.dart';

@JsonSerializable()
class MineDetailModel extends Object {
  @JsonKey(name: 'avatar')
  String avatar;

  @JsonKey(name: 'nickname')
  String nickname;

  @JsonKey(name: 'gender')
  String gender;

  @JsonKey(name: 'birthday')
  String birthday;

  @JsonKey(name: 'register_time')
  String registerTime;

  @JsonKey(name: 'file_bucket_url')
  String fileBucketUrl;

  @JsonKey(name: 'file_format')
  String format;

  MineDetailModel(
    this.avatar,
    this.nickname,
    this.gender,
    this.birthday,
    this.registerTime,
    this.fileBucketUrl,
    this.format,
  );

  factory MineDetailModel.fromJson(Map<String, dynamic> srcJson) =>
      _$MineDetailModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$MineDetailModelToJson(this);
}
